Loading...
Searching...
No Matches
Catch::ITestInvoker Class Referenceabstract

`#include <catch_amalgamated.hpp>`

Inheritance diagram for Catch::ITestInvoker:
[legend]

## Public Member Functions

virtual void | prepareTestCase ()
virtual void | tearDownTestCase ()
virtual void | invoke () const =0
virtual | ~ITestInvoker ()

## Constructor & Destructor Documentation

## ~ITestInvoker()

Catch::ITestInvoker::~ITestInvoker | ( |  | ) |

virtualdefault

## Member Function Documentation

## invoke()

virtual void Catch::ITestInvoker::invoke | ( |  | ) | const

pure virtual

Implemented in Catch::TestInvokerAsMethod< C >, and Catch::TestInvokerFixture< C >.

## prepareTestCase()

void Catch::ITestInvoker::prepareTestCase | ( |  | ) |

virtual

Reimplemented in Catch::TestInvokerFixture< C >.

## tearDownTestCase()

void Catch::ITestInvoker::tearDownTestCase | ( |  | ) |

virtual

Reimplemented in Catch::TestInvokerFixture< C >.

The documentation for this class was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp